<div class="login-register" style="background-image:url(assets/images/background/login-register.jpg);">
  <div class="login-register-box">
    <mat-card>
      <mat-card-content>
        <form>
          <div class="text-center">
            <img alt="homepage" src="assets/images/logo-icon.png">
            <h4 class="m-t-0">Register to App</h4>
          </div>
          <div fxLayout="row wrap">
            <!-- col full-->
            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <mat-form-field style="width: 100%">
                <input matInput placeholder="Email address" type="email" name="login" [(ngModel)]="login">
              </mat-form-field>
            </div>
            <!-- col full-->
            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <mat-form-field style="width: 100%">
                <input matInput placeholder="Nome" type="text" name="nome" [(ngModel)]="nome">
              </mat-form-field>
            </div>
            <!-- col full-->
            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <mat-form-field style="width: 100%">
                <input matInput placeholder="CPF" type="text" name="cpf" [(ngModel)]="cpf">
              </mat-form-field>
            </div>
            <!-- col full-->
            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <mat-form-field style="width: 100%">
                <input matInput type="password" placeholder="Password" name="senha" [(ngModel)]="senha">
              </mat-form-field>
            </div>
            <!-- col full-->
            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <mat-form-field style="width: 100%">
                <input matInput placeholder="Confirm Password" name="confirmaSenha" [(ngModel)]="confirmaSenha" type="password">
              </mat-form-field>
            </div>
            <!-- col full-->
            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <mat-checkbox class="font-14" [(ngModel)]="concorda" name="concorda">I agree to the all
                <a href="javascript:void(0)" class="link text-info">terms</a>.</mat-checkbox>
            </div>

            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <small *ngIf="mensagem" class="text-danger support-text">{{mensagem}}</small>            
            </div>
            

            <button (click)="criar()" mat-raised-button color="primary" class="btn-block btn-lg m-t-20 m-b-20" type="submit" [disabled]="desabilitaBotaoCriar()">Create your account</button>

            <div class="text-center" fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <span>Already have an account?
                <a [routerLink]="['/authentication/login']" class="link text-info"> Login</a>
              </span>
            </div>
          </div>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>